- Main Page
- Classes
- Files

- File List
- File Members

# flGraphics3d.h File Reference

`#include "flGlobal.h"`
`#include "flTexture.h"`

Go to the source code of this file.

## Defines
#define | SPHERE_MAP_CYLINDER_EQUAL 0
#define | SPHERE_MAP_CYLINDER 1
## Functions
void | graphics3dDrawOrigin ()
void | graphics3dDrawCubeWireframe ()
void | graphics3dDrawCube ()
void | graphics3dDrawSphere (u32 inDetail)
void | graphics3dDrawCubeWireframea (vect3f inLocation, vect3f inDimensions, vect3f inRotation, u32 inColor)
void | graphics3dDrawCubea (vect3f inLocation, vect3f inDimensions, vect3f inRotation, u32 inColor)
void | graphics3dDrawCubeTextured (Texture *inTex)
void | graphics3dDrawSphereTextured (u32 inDetail, u8 inMapType, Texture *inTex)

## Define Documentation

#define SPHERE_MAP_CYLINDER 1

Definition at line 20 of file flGraphics3d.h.

#define SPHERE_MAP_CYLINDER_EQUAL 0

Definition at line 19 of file flGraphics3d.h.

Referenced by graphics3dDrawSphereTextured().

## Function Documentation

void graphics3dDrawCube | ( |  | ) |

Definition at line 85 of file flGraphics3d.c.

References graphics3dDrawCubeWireframe(), graphicsWireframe, vertVf::vertX, vertVf::vertY, and vertVf::vertZ.

Referenced by graphics3dDrawCubeColoreda().

void graphics3dDrawCubea | ( | vect3f | inLocation,
|  | vect3f | inDimensions,
|  | vect3f | inRotation,
|  | u32 | inColor |
| ) |  |  |

void graphics3dDrawCubeTextured | ( | Texture * | inTex | ) |

Definition at line 263 of file flGraphics3d.c.

References texBind(), Texture::texMipMaps, vertTfVf::vertU, vertTfVf::vertV, vertTfVf::vertX, vertTfVf::vertY, and vertTfVf::vertZ.

void graphics3dDrawCubeWireframe | ( |  | ) |

Definition at line 46 of file flGraphics3d.c.

References vertVf::vertX, vertVf::vertY, and vertVf::vertZ.

Referenced by graphics3dDrawCube(), and graphics3dDrawCubeWireframea().

void graphics3dDrawCubeWireframea | ( | vect3f | inLocation,
|  | vect3f | inDimensions,
|  | vect3f | inRotation,
|  | u32 | inColor |
| ) |  |  |

Definition at line 238 of file flGraphics3d.c.

References graphics3dDrawCubeWireframe().

Referenced by graphics3dDrawCubeColoreda().

void graphics3dDrawOrigin | ( |  | ) |

Definition at line 24 of file flGraphics3d.c.

References vertcVf::vertColor, vertcVf::vertX, vertcVf::vertY, and vertcVf::vertZ.

void graphics3dDrawSphere | ( | u32 | inDetail | ) |

Definition at line 128 of file flGraphics3d.c.

References MATH_PI, mathCosf(), mathSinf(), vertVf::vertX, vertVf::vertY, and vertVf::vertZ.

void graphics3dDrawSphereTextured | ( | u32 | inDetail,
|  | u8 | inMapType,
|  | Texture * | inTex |
| ) |  |  |

Definition at line 328 of file flGraphics3d.c.

References MATH_PI, mathCosf(), mathSinf(), SPHERE_MAP_CYLINDER_EQUAL, texBind(), Texture::texMipMaps, vertTfVf::vertU, vertTfVf::vertV, vertTfVf::vertX, vertTfVf::vertY, and vertTfVf::vertZ.